Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class AutomationPlan

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.AutomationPlan

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class AutomationPlan

extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

Constructor Summary
`AutomationPlan()`
`AutomationPlan(URI about)`

Method Summary
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addParameterDefinition(org.eclipse.lyo.oslc4j.core.model.Property parameter)`
`void` | `addRdfType(URI rdfType)`
`void` | `addSubject(String subject)`
`URI[]` | `getContributors()`
`Date` | `getCreated()`
`URI[]` | `getCreators()`
`String` | `getDescription()`
`String` | `getIdentifier()`
`URI` | `getInstanceShape()`
`Date` | `getModified()`
`org.eclipse.lyo.oslc4j.core.model.Property[]` | `getParameterDefinitions()`
`protected URI` | `getRdfType()`
`URI[]` | `getRdfTypes()`
`URI` | `getServiceProvider()`
`String[]` | `getSubjects()`
`String` | `getTitle()`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreated(Date created)`
`void` | `setCreators(URI[] creators)`
`void` | `setDescription(String description)`
`void` | `setIdentifier(String identifier)`
`void` | `setInstanceShape(URI instanceShape)`
`void` | `setModified(Date modified)`
`void` | `setParameterDefinitions(org.eclipse.lyo.oslc4j.core.model.Property[] parameterDefinitions)`
`void` | `setRdfTypes(URI[] rdfTypes)`
`void` | `setServiceProvider(URI serviceProvider)`
`void` | `setSubjects(String[] subjects)`
`void` | `setTitle(String title)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomationPlan

    public AutomationPlan()

### AutomationPlan

    public AutomationPlan(URI about)

Method Detail

### getRdfType

    protected URI getRdfType()

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addRdfType

    public void addRdfType(URI rdfType)

### addSubject

    public void addSubject(String subject)

### addParameterDefinition

    public void addParameterDefinition(org.eclipse.lyo.oslc4j.core.model.Property parameter)

### getContributors

    public URI[] getContributors()

### getCreated

    public Date getCreated()

### getCreators

    public URI[] getCreators()

### getDescription

    public String getDescription()

### getIdentifier

    public String getIdentifier()

### getInstanceShape

    public URI getInstanceShape()

### getModified

    public Date getModified()

### getRdfTypes

    public URI[] getRdfTypes()

### getServiceProvider

    public URI getServiceProvider()

### getSubjects

    public String[] getSubjects()

### getTitle

    public String getTitle()

### getParameterDefinitions

    public org.eclipse.lyo.oslc4j.core.model.Property[] getParameterDefinitions()

### setContributors

    public void setContributors(URI[] contributors)

### setCreated

    public void setCreated(Date created)

### setCreators

    public void setCreators(URI[] creators)

### setDescription

    public void setDescription(String description)

### setIdentifier

    public void setIdentifier(String identifier)

### setInstanceShape

    public void setInstanceShape(URI instanceShape)

### setModified

    public void setModified(Date modified)

### setRdfTypes

    public void setRdfTypes(URI[] rdfTypes)

### setServiceProvider

    public void setServiceProvider(URI serviceProvider)

### setSubjects

    public void setSubjects(String[] subjects)

### setTitle

    public void setTitle(String title)

### setParameterDefinitions

    public void setParameterDefinitions(org.eclipse.lyo.oslc4j.core.model.Property[] parameterDefinitions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.